//
// SignUpRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct SignUpRequest: Codable, JSONEncodable, Hashable {

    public var firstName: String?
    public var lastName: String?
    public var email: String?
    public var password: String?
    public var confirmedPassword: String?
    public var source: String?

    public init(firstName: String? = nil, lastName: String? = nil, email: String? = nil, password: String? = nil, confirmedPassword: String? = nil, source: String? = nil) {
        self.firstName = firstName
        self.lastName = lastName
        self.email = email
        self.password = password
        self.confirmedPassword = confirmedPassword
        self.source = source
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case firstName
        case lastName
        case email
        case password
        case confirmedPassword
        case source
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(firstName, forKey: .firstName)
        try container.encodeIfPresent(lastName, forKey: .lastName)
        try container.encodeIfPresent(email, forKey: .email)
        try container.encodeIfPresent(password, forKey: .password)
        try container.encodeIfPresent(confirmedPassword, forKey: .confirmedPassword)
        try container.encodeIfPresent(source, forKey: .source)
    }
}

